Club Delphi  
    FTP   CCD     Buscar   Trucos   Trabajo   Foros

Retroceder   Foros Club Delphi > Principal > Desarrollo en Delphi para Android
Registrarse FAQ Miembros Calendario Guía de estilo Buscar Temas de Hoy Marcar Foros Como Leídos


Respuesta
 
Herramientas Buscar en Tema Desplegado
  #1  
Antiguo 13-01-2017
tulio tulio is offline
Miembro
 
Registrado: May 2003
Ubicación: Argentina
Posts: 282
Poder: 16
tulio Va por buen camino
Thumbs up No funcionan aplicaciones en Android 5.11

Buen dia gente

Les comento que tengo una aplicacion desarrollada con Delphi XE5 , que consulta una base de datos Firebird y es conectada por medio de Datasnap , con celulares que tienen version de Android menores a la 5.1 me funciona bien , pero con 5.1 o superiores, cuando llamo a la aplicacion , me pone un mensaje que dice LA APLICACION SE DETUVO .

Si alguien me da una mano como puedo solucionar se lo agradezco


Saludos !!!!!!!

tulio
Responder Con Cita
  #2  
Antiguo 13-01-2017
Avatar de Neftali [Germán.Estévez]
Neftali [Germán.Estévez] Neftali [Germán.Estévez] is offline
[becario]
 
Registrado: Jul 2004
Ubicación: Barcelona - España
Posts: 15.730
Poder: 10
Neftali [Germán.Estévez] Tiene un aura espectacularNeftali [Germán.Estévez] Tiene un aura espectacular
Algo en la API debe haber cambiado.
Descarga la nueva versión de la API y recompila con la nueva versión a ver si el problema persiste.
__________________
Germán Estévez => Web/Blog
Guía de estilo, Guía alternativa
Utiliza TAG's en tus mensajes.
Contactar con el Clubdelphi

P.D: Más tiempo dedicado a la pregunta=Mejores respuestas.
Responder Con Cita
  #3  
Antiguo 13-01-2017
tulio tulio is offline
Miembro
 
Registrado: May 2003
Ubicación: Argentina
Posts: 282
Poder: 16
tulio Va por buen camino
Gracias Neftali

Cual es la Api que tendria que actualizar ?

Saludos !!
Responder Con Cita
  #4  
Antiguo 13-01-2017
Avatar de Neftali [Germán.Estévez]
Neftali [Germán.Estévez] Neftali [Germán.Estévez] is offline
[becario]
 
Registrado: Jul 2004
Ubicación: Barcelona - España
Posts: 15.730
Poder: 10
Neftali [Germán.Estévez] Tiene un aura espectacularNeftali [Germán.Estévez] Tiene un aura espectacular
Las que a mi me salen son estas.
Puedes probar con las últimas que se supone que tendrán compatibilidad hacia abajo.

__________________
Germán Estévez => Web/Blog
Guía de estilo, Guía alternativa
Utiliza TAG's en tus mensajes.
Contactar con el Clubdelphi

P.D: Más tiempo dedicado a la pregunta=Mejores respuestas.
Responder Con Cita
  #5  
Antiguo 13-01-2017
tulio tulio is offline
Miembro
 
Registrado: May 2003
Ubicación: Argentina
Posts: 282
Poder: 16
tulio Va por buen camino
Muchass Graciasss !!!!
Responder Con Cita
  #6  
Antiguo 14-01-2017
Avatar de kurono
[kurono] kurono is offline
Miembro Premium
 
Registrado: Jul 2007
Ubicación: Republica Dominicana
Posts: 1.067
Poder: 13
kurono Va por buen camino
amigo tulio quisiera saber si te funciono
Responder Con Cita
  #7  
Antiguo 17-01-2017
Avatar de kurono
[kurono] kurono is offline
Miembro Premium
 
Registrado: Jul 2007
Ubicación: Republica Dominicana
Posts: 1.067
Poder: 13
kurono Va por buen camino
amigo neftali e actualizado el android tools a la 25.2.5 y el SDK a la version API 25 y a mi no me funciona no me abre la aplicacion en android 5.1 el mensaje de LA APLICACION SE DETUVO no me lo presenta simplemente se ejecuta y se cierra automaticamente

nota : uso delphi XE6
Responder Con Cita
  #8  
Antiguo 17-01-2017
tulio tulio is offline
Miembro
 
Registrado: May 2003
Ubicación: Argentina
Posts: 282
Poder: 16
tulio Va por buen camino
Hola Kurone

te cuento que actualice las Api como decia el amigo Neftali y quedaron registrada para el android con las ultimas versiones, el problema me surgio cuando quise recompilar la aplicacion con el Delphi XE5 , me empezo a dar errores y no me anda nada. El tema es que justo el viernes pasado fue el ultimo dia de trabajo porque empece las vacaciones, asi que no pude seguir investigando, y la licencia de delphi esta la PC de mi trabajo, a la vuelta te comento como me fue

Saludos !!!!!
Responder Con Cita
  #9  
Antiguo 18-01-2017
Avatar de kurono
[kurono] kurono is offline
Miembro Premium
 
Registrado: Jul 2007
Ubicación: Republica Dominicana
Posts: 1.067
Poder: 13
kurono Va por buen camino
ok mientras tanto seguire investigando
Responder Con Cita
  #10  
Antiguo 13-02-2017
tulio tulio is offline
Miembro
 
Registrado: May 2003
Ubicación: Argentina
Posts: 282
Poder: 16
tulio Va por buen camino
Hola Kurono

tuviste novedades con el funcionamiento de la aplicacion en las nuevas versiones de android, yo actualice a la version 7.1 la mas nueva con el API 25 y me sigue dando el error

saludos
Responder Con Cita
  #11  
Antiguo 14-02-2017
Avatar de kurono
[kurono] kurono is offline
Miembro Premium
 
Registrado: Jul 2007
Ubicación: Republica Dominicana
Posts: 1.067
Poder: 13
kurono Va por buen camino
yo tambien lo actualize a la API25 no me da error pero la aplicacion inicia y se cierra inmediatamente creo que la solucion es cambiar a delphi xe7 esta solucion ya la sabia de antemano pero me gusta mas el xe6
Responder Con Cita
  #12  
Antiguo 23-05-2017
nincillo nincillo is offline
Miembro
 
Registrado: May 2017
Posts: 58
Poder: 2
nincillo Va por buen camino
Cita:
Empezado por kurono Ver Mensaje
yo tambien lo actualize a la API25 no me da error pero la aplicacion inicia y se cierra inmediatamente creo que la solucion es cambiar a delphi xe7 esta solucion ya la sabia de antemano pero me gusta mas el xe6
¿En qué quedo la cosa?. Es que me suena que en su momento me pasó a mi también con algún dispositivo. Lo que pasa es que ahora no lo tengo "disponible" para poder hacer pruebas a ver si ya funciona o no.

Recuerdo que la arrancabas y ella sola se cerraba sin salir ningún mensaje por en medio.
Responder Con Cita
  #13  
Antiguo 23-05-2017
tulio tulio is offline
Miembro
 
Registrado: May 2003
Ubicación: Argentina
Posts: 282
Poder: 16
tulio Va por buen camino
Hola

Todo igual, aun actualizando las Api de Android con el XE5 no funcionan las aplicacciones android en las nuevas versiones

saludos
Responder Con Cita
  #14  
Antiguo 24-05-2017
Avatar de kurono
[kurono] kurono is offline
Miembro Premium
 
Registrado: Jul 2007
Ubicación: Republica Dominicana
Posts: 1.067
Poder: 13
kurono Va por buen camino
igual que ustedes tampoco e tenido resultado alguno pero me llego una idea que puede ser una locura pero es mejor morir en el intento que no hacer nada y es compilar en delphi xe7 un proyecto en blanco con las siguiente librerias

Código Delphi [-]
System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs;

y sustituir el archivo libproject1.so en delphi xe6 por el recien compilado en delphi xe7 hay que tener en cuenta que para hacer la prueba el proyecto debe tener los componente que esten en esas libreria

los incoveniente que se pueda presentar es que

1- libproject1.so no sean compactible entre versiones
2- que libproject1.so solo contenga los componente agregado al formulario
3-que de error al instalar

en el mejor de los caso puede pasar

1-libproject1.so sea compactible y funcione
2-que libproject1.so contenga la libreria se use o no se use los componente y la aplicacion solo hace la llamada a cada componente

se que suena algo tonto pero en realidad me siento mas comodo con la xe6 cuando tenga la oportunidad de compilar en la xe7 hare la prueba

otra cosa una ves leei en el blog de marco cantu como estaban tratando de resolver eso con delphi xe6 y recuerdo que el decia que funcionaba pero no era la mejor solucion me gustaria saber cual era esa solucion que no era la mas adecuada

Última edición por kurono fecha: 24-05-2017 a las 03:10:33.
Responder Con Cita
Respuesta


Herramientas Buscar en Tema
Buscar en Tema:

Búsqueda Avanzada
Desplegado

Normas de Publicación
no Puedes crear nuevos temas
no Puedes responder a temas
no Puedes adjuntar archivos
no Puedes editar tus mensajes

El código vB está habilitado
Las caritas están habilitado
Código [IMG] está habilitado
Código HTML está deshabilitado
Saltar a Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Tamaño de las aplicaciones para Android cocute Desarrollo en Delphi para Android 36 30-10-2017 17:34:45
¿Que necesito para programar aplicaciones de Android? RaulSaez Desarrollo en Delphi para Android 6 18-06-2015 15:14:04
Probar Aplicaciones en un Dispositivo Android FabianSiza Desarrollo en Delphi para Android 13 03-01-2015 17:53:55
desarrollo aplicaciones android con lazarus anubis Lazarus, FreePascal, Kylix, etc. 4 29-02-2012 20:36:50
Aplicaciones Lazarus para Android el-mono Lazarus, FreePascal, Kylix, etc. 3 12-08-2011 00:26:57


La franja horaria es GMT +2. Ahora son las 00:33:40.


Powered by vBulletin® Version 3.6.8
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
Traducción al castellano por el equipo de moderadores del Club Delphi
Copyright 1996-2007 Club Delphi